    /*
     *  call-seq:
     *     fis.tokenized_fields -> symbol array
     *
     *  Return a list of the field names (as symbols) of all the tokenized fields
     *  in the index.
     */
    static VALUE
    frb_fis_get_tk_fields(VALUE self)
    {
        FieldInfos *fis = (FieldInfos *)DATA_PTR(self);
        VALUE rfield_names = rb_ary_new();
        int i;
        for (i = 0; i < fis->size; i++) {
            if (!fi_is_tokenized(fis->fields[i])) continue;
            rb_ary_push(rfield_names, FSYM2SYM(fis->fields[i]->name));
        }
        return rfield_names;
    }